#!/usr/bin/perl
#######################################################################
#
# Assumptions:
#
# - ANT_HOME has been set
# - AUA_HOME has been set
# - target platform uses ";" as classpath separator or perl indicates it is dos/win32
# - target platform uses "/" as directory separator.

#######################################################################
# ------------------------- Must provide BUILD_FILE name -----------------------
if ( $ENV{BUILD_FILENAME} eq "" )
{
    print "Please set the BUILD_FILE environment as the build file name !";
    exit 0
}

# -------------------------------- ApacheANT Setting ---------------------------
# ANT Setting
my $AUA_HOME="$ENV{AUA_HOME}";
if ($AUA_HOME eq "")
{
   die "/n/nAUA_HOME *MUST* be set!/n/n";
}

my $ANT_HOME="$ENV{ANT_HOME}";
if ($ANT_HOME eq "")
{
   die "/n/nANT_HOME *MUST* be set!/n/n";
}


# -------------------------- Set Build Parameters ------------------------------
# Build File Setting
my $BUILD_DIR="$AUA_HOME/builds";
my $BUILD_FILENAME="$ENV{BUILD_FILENAME}";
my $BUILD_PATH="$BUILD_DIR/$BUILD_FILENAME";

my @ANT_CMD;
push @ANT_CMD, "perl", "$ANT_HOME/bin/runant.pl";

my @ANT_ARG;
push @ANT_ARG, "-buildfile", "$BUILD_PATH";

# -------------------------- Build ANT Project ---------------------------------
system @ANT_CMD, @ANT_ARG;

