#!/usr/bin/perl
#######################################################################
#
# Assumptions:
#
# - the "java" executable | script is on the command path
# - AUA_HOME has been set
# - target platform uses ";" as classpath separator or perl indicates it is dos/win32
# - target platform uses "/" as directory separator.

#be fussy about variables
use strict;

#turn warnings on during dev; generates a few spurious uninitialised var access warnings
#use warnings;

#and set $debug to 1 to turn on trace info
my $debug=0;

#######################################################################
#
# check to make sure environment is setup
#
my $JAVACMD="$ENV{JAVACMD}";
$JAVACMD = "java" if $JAVACMD eq "";

my $OBM_HOME = $ENV{OBM_HOME};
if ($OBM_HOME eq "")
{
   die "\n\nOBM_HOME *MUST* be set!\n\n";
}

my $AUA_ACTION="$ENV{AUA_ACTION}";
if ($AUA_ACTION eq "")
{
   die "\n\nAUA_ACTION *MUST* be set!\n\n";
}

my $AUA_HOME="$ENV{AUA_HOME}";
if ($AUA_HOME eq "")
{
   die "\n\nAUA_HOME *MUST* be set!\n\n";
}

my $AUA_CLASSPATH="$ENV{AUA_CLASSPATH}";
if ($AUA_CLASSPATH eq "")
{
   die "\n\nAUA_CLASSPATH *MUST* be set!\n\n";
}

my @ARGS;
push @ARGS, "-envCWD=$AUA_HOME";
push @ARGS, "-DOBM_HOME=$OBM_HOME -Xrs";
push @ARGS, "-classpath", "$AUA_CLASSPATH";

my $TARGET_VERSION = $ENV{TARGET_VERSION};
if ($TARGET_VERSION eq "") {
  push @ARGS, "auas", "$AUA_HOME/config.xml", "$AUA_ACTION";
} else {
  push @ARGS, "auas", "$AUA_HOME/config.xml", "$AUA_ACTION", "$TARGET_VERSION";
}

print "\n $JAVACMD @ARGS\n\n" if ($debug);

system $JAVACMD, @ARGS;
